#include "c.h"
#include <iostream>

C::C()
: b(new B[5])
{
	// ...
	std::cout << "constructor C" << std::endl;
}

C::C(const C& c)
: b(new B[5])
{
	// ...
	std::cout << "copy constructor C" << std::endl;
}

C& C::operator=(const C& c)
{
	// ...
	std::cout << "assignment operator C" << std::endl;
	return *this;
}

C::~C()
{
	delete[] b;
	std::cout << "destructor C" << std::endl;
}

int C::do_something()
{
	std::cout << "do_something C" << std::endl;
	return 45;
}